<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_25) on Tue Nov 07 17:12:41 PST 2017 -->
<title>Pkg</title>
<meta name="date" content="2017-11-07">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Pkg";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/spec/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/spec/Persist.Output.html" title="class in xdc.services.spec"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/spec/Qual.html" title="enum in xdc.services.spec"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/spec/Pkg.html" target="_top">Frames</a></li>
<li><a href="Pkg.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">xdc.services.spec</div>
<h2 title="Class Pkg" class="title">Class Pkg</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">xdc.services.spec.Node</a></li>
<li>
<ul class="inheritance">
<li>xdc.services.spec.Pkg</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, java.lang.Comparable&lt;<a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">Pkg</span>
extends <a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a></pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../serialized-form.html#xdc.services.spec.Pkg">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Pkg.html#getBaseDir()">getBaseDir</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Pkg.html#getChildren()">getChildren</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Pkg.html#getInterNames()">getInterNames</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Pkg.html#getKey()">getKey</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Pkg.html#getLocalSpecs()">getLocalSpecs</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Pkg.html#getMiscSrcs()">getMiscSrcs</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Pkg.html#getModNames()">getModNames</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Pkg.html#getOtherSpecs()">getOtherSpecs</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Pkg.html#getPkgName()">getPkgName</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Pkg.html#getProviderId()">getProviderId</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Pkg.html#getQualName()">getQualName</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Pkg.html#getReleaseVersion()">getReleaseVersion</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Pkg.html#getRepository()">getRepository</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Pkg.html#getRequires()">getRequires</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Pkg.html#getUnits()">getUnits</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Pkg.html#getVersion()">getVersion</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Pkg.html#getXmlTag()">getXmlTag</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_xdc.services.spec.Node">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;xdc.services.spec.<a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a></h3>
<code><a href="../../../xdc/services/spec/Node.html#attrBool(java.lang.String)">attrBool</a>, <a href="../../../xdc/services/spec/Node.html#attrInt(java.lang.String)">attrInt</a>, <a href="../../../xdc/services/spec/Node.html#attrString(java.lang.String)">attrString</a>, <a href="../../../xdc/services/spec/Node.html#compareTo(xdc.services.spec.Node)">compareTo</a>, <a href="../../../xdc/services/spec/Node.html#getAtom()">getAtom</a>, <a href="../../../xdc/services/spec/Node.html#getAttrMap()">getAttrMap</a>, <a href="../../../xdc/services/spec/Node.html#getDocs()">getDocs</a>, <a href="../../../xdc/services/spec/Node.html#getName()">getName</a>, <a href="../../../xdc/services/spec/Node.html#getParent()">getParent</a>, <a href="../../../xdc/services/spec/Node.html#getSession()">getSession</a>, <a href="../../../xdc/services/spec/Node.html#getSummary()">getSummary</a>, <a href="../../../xdc/services/spec/Node.html#hasAttr(java.lang.String)">hasAttr</a>, <a href="../../../xdc/services/spec/Node.html#isExternal()">isExternal</a>, <a href="../../../xdc/services/spec/Node.html#isFinal()">isFinal</a>, <a href="../../../xdc/services/spec/Node.html#isInst()">isInst</a>, <a href="../../../xdc/services/spec/Node.html#isInter()">isInter</a>, <a href="../../../xdc/services/spec/Node.html#isInternal()">isInternal</a>, <a href="../../../xdc/services/spec/Node.html#isMeta()">isMeta</a>, <a href="../../../xdc/services/spec/Node.html#isMod()">isMod</a>, <a href="../../../xdc/services/spec/Node.html#isNodoc()">isNodoc</a>, <a href="../../../xdc/services/spec/Node.html#isOver()">isOver</a>, <a href="../../../xdc/services/spec/Node.html#isReadonly()">isReadonly</a>, <a href="../../../xdc/services/spec/Node.html#isStatic()">isStatic</a>, <a href="../../../xdc/services/spec/Node.html#isSys()">isSys</a>, <a href="../../../xdc/services/spec/Node.html#makeXDoc()">makeXDoc</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBaseDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBaseDir</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getBaseDir()</pre>
</li>
</ul>
<a name="getRepository()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRepository</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getRepository()</pre>
</li>
</ul>
<a name="getChildren()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildren</h4>
<pre>public final&nbsp;java.util.List&lt;<a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a>&gt;&nbsp;getChildren()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../xdc/services/spec/Node.html#getChildren()">getChildren</a></code>&nbsp;in class&nbsp;<code><a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a></code></dd>
</dl>
</li>
</ul>
<a name="getInterNames()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInterNames</h4>
<pre>public final&nbsp;java.util.List&lt;<a href="../../../xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a>&gt;&nbsp;getInterNames()</pre>
</li>
</ul>
<a name="getModNames()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModNames</h4>
<pre>public final&nbsp;java.util.List&lt;<a href="../../../xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a>&gt;&nbsp;getModNames()</pre>
</li>
</ul>
<a name="getRequires()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRequires</h4>
<pre>public final&nbsp;java.util.List&lt;<a href="../../../xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a>&gt;&nbsp;getRequires()</pre>
</li>
</ul>
<a name="getQualName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getQualName</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getQualName()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../xdc/services/spec/Node.html#getQualName()">getQualName</a></code>&nbsp;in class&nbsp;<code><a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a></code></dd>
</dl>
</li>
</ul>
<a name="getPkgName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPkgName</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getPkgName()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../xdc/services/spec/Node.html#getPkgName()">getPkgName</a></code>&nbsp;in class&nbsp;<code><a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a></code></dd>
</dl>
</li>
</ul>
<a name="getLocalSpecs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLocalSpecs</h4>
<pre>public final&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;getLocalSpecs()</pre>
</li>
</ul>
<a name="getMiscSrcs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMiscSrcs</h4>
<pre>public final&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;getMiscSrcs()</pre>
</li>
</ul>
<a name="getOtherSpecs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOtherSpecs</h4>
<pre>public final&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;getOtherSpecs()</pre>
</li>
</ul>
<a name="getUnits()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUnits</h4>
<pre>public final&nbsp;java.util.List&lt;<a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a>&gt;&nbsp;getUnits()</pre>
</li>
</ul>
<a name="getKey()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKey</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getKey()</pre>
</li>
</ul>
<a name="getVersion()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVersion</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getVersion()</pre>
</li>
</ul>
<a name="getReleaseVersion()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReleaseVersion</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getReleaseVersion()</pre>
</li>
</ul>
<a name="getProviderId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProviderId</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getProviderId()</pre>
</li>
</ul>
<a name="getXmlTag()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getXmlTag</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getXmlTag()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../xdc/services/spec/Node.html#getXmlTag()">getXmlTag</a></code>&nbsp;in class&nbsp;<code><a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/spec/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/spec/Persist.Output.html" title="class in xdc.services.spec"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/spec/Qual.html" title="enum in xdc.services.spec"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/spec/Pkg.html" target="_top">Frames</a></li>
<li><a href="Pkg.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
